Internal-Operations

# Class: WideImage_Operation_Unsharp

Source Location: /Operation/Unsharp.php

### Class Overview

Unsharp filter

### Methods

- execute

### Class Details

[line 34]
Unsharp filter

This filter was taken from http://vikjavev.no/computing/ump.php, the original author Torstein Hønsi. Adapted to fit better within the Wideimage package.

[ Top ]

### Class Methods

### method execute [line 44]

`WideImage_Image execute( WideImage_Image $image, float $amount, int $radius, float $threshold)`

Returns sharpened image

#### Parameters:

WideImage_Image | $image |
float | $amount |
int | $radius |
float | $threshold |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3